ApplePictParserInternal::Region Struct Reference

internal: low level class to store a region More...

## Public Member Functions

| Region ()
| constructor

## Public Attributes

MWAWBox2i | m_bdBox
| the bdbox
std::vector< MWAWVec2i > | m_points
| the set of points which defines the mask
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Region const &rgn)
| operator<<

## Detailed Description

internal: low level class to store a region

## Constructor & Destructor Documentation

## Region()

ApplePictParserInternal::Region::Region | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Region const & | rgn )

friend

operator<<

## Member Data Documentation

## m_bdBox

MWAWBox2i ApplePictParserInternal::Region::m_bdBox

the bdbox

Referenced by operator<<, ApplePictParser::readRegion(), and Region().

## m_extra

std::string ApplePictParserInternal::Region::m_extra

extra data

Referenced by operator<<, ApplePictParser::readRegion(), and Region().

## m_points

std::vector<MWAWVec2i> ApplePictParserInternal::Region::m_points

the set of points which defines the mask

Referenced by operator<<, ApplePictParser::readRegion(), and Region().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx